commit c2470abd864e75147104d7da4bbf88bb2ca4e043
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon May 5 16:43:48 2014 +0200

    Bump to 0.2.1
    
    Change-Id: Idd32f8a5dda490cf501b721cacb249d8ebc2f717

commit c1bbf72f7cfc125a2230d7856cd46c00c30405bc
Author: Doug Hellmann <doug.hellmann@dreamhost.com>
Date:   Mon May 5 07:15:28 2014 -0700

    add venv to tox.ini
    
    Change-Id: I4e4959dd3c0d808deaea3ab45a31af73d97f40c7

commit 5f419178f83b842edaeaaaa301b04760ad8b8bd3
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon May 5 14:41:38 2014 +0200

    Bump to 0.2
    
    Change-Id: Iae3b7fa88f91b6a0133f09c8447e00c3247a5dca

commit 774201c5dbd43a9c9c63d7094cdba5071c3012fe
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon May 5 14:15:03 2014 +0200

    Add the Python 3 classifiers in setup.cfg
    
    Change-Id: I95d4170b30a6e658e8a7fcf9c83f33152424b986

commit b076c0368a78d2e2b437f4bffe34e034f58768b7
Merge: fbf0740 7f81b6f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun May 4 23:07:45 2014 +0000

    Merge "Sync with global requirements"

commit fbf0740685354b56534c20f98c130f0d3a87be27
Author: Sascha Peilicke <saschpe@mailbox.org>
Date:   Mon Mar 31 15:44:08 2014 +0200

    Declare sphinxcontrib.docbookrestapi package
    
    Change-Id: If494b57f73ad70e8b66e5dd41689c6d688cb18e6

commit e57ae0157bd5f0e8f504bc85f26f6b9dc49e3695
Author: Sascha Peilicke <saschpe@mailbox.org>
Date:   Mon Mar 31 15:33:30 2014 +0200

    Properly declare namespace package
    
    The 'sphinxcontrib' is declared a namespace package by setuptools means
    via pbr.  Setuptools 0.7 or later mandates explicit declaration via
    pkg_resources.declare_namespace (PEP-382).
    
    Otherwise refuses to "setup.py build" on systems with setuptools>0.7.
    
    Change-Id: If0d214a3b2d148450faa2b09292aafcdcf6837e9

commit 9218f010a92aa7f284afcc7bbf5e3355f691a631
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Wed Feb 5 23:12:54 2014 +0100

    Properly document the enumeration type
    
    Change-Id: I5ace904a43fb8d429c8ea212a80ef81e3b13ee84

commit 0f0a56f768b2c82724ce22657b5af77296349d4c
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Feb 6 21:16:12 2014 +0100

    Allow foo_name as well as foo_id in paths
    
    Ceilometer has recently replaced 'meter_id' by 'meter_name', so 'foo_name'
    should be allowed.
    
    Change-Id: I702346935919d7f0df49c20cc14cfcbc6e85a17b

commit 5506c9ad69d8efd8a63e1999260b9d84e687c1e3
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Wed Feb 5 21:38:09 2014 +0100

    Remove 'xmlns' attribute of 'param' elements
    
    Change-Id: I385e463df15146af925c476b2f552d7a9b7b294c

commit 8587f3c4bc246ac7bc8249334022e2270d8843e5
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Wed Feb 5 16:28:03 2014 +0100

    Use 'para' elements instead of 'p' ones
    
    Also, remove the xmlns attribute.
    
    Change-Id: I57645305df749f44378cf093ba5b5dcf8a096ae7

commit a622c84b3d53081928c42ac4206568cdfe3ac94f
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon Feb 3 17:45:12 2014 +0100

    Add the top-level comment that is now mandatory in WADL files
    
    Change-Id: I8d24e5184403958d393f5d69bab06c485519b214

commit 471dc8c3b414e6cee629944aad4fe4aca2d4d2ca
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Sat Feb 1 01:51:25 2014 +0100

    Add an XML declaration in the output
    
    Change-Id: I2e828cf7635f976244d30c9cc9013a997b9d7967

commit d1d4e6273618e7ef4bd1adfc241f7c58e7534772
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Jan 30 22:19:35 2014 +0100

    Use 'wadl:doc' instead of 'doc' and fix its attributes
    
    Use the right values for the 'xmlns' and 'xml:lang'.
    
    Change-Id: I3315553afd2c0f3683815f0ea89e10769d06485b

commit 9caebf8371d60aad3583aceec6bd55d674b710dd
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Jan 30 16:19:45 2014 +0100

    Add a mandatory 'id' attribute to 'resource' elements
    
    This is now required by api-site.
    
    Change-Id: Ifdfd80060cb294ded92c99743c371ae22df933b7

commit 607177b8b43ecc2ae2e962bac170c4b668127ba8
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Jan 30 14:35:53 2014 +0100

    Removes whitespaces at the end of self-closing tags
    
    Tidy automatically adds one (see line 1347 at
    http://tidy.cvs.sourceforge.net/viewvc/tidy/tidy/src/pprint.c?revision=1.119&view=markup),
    but api-site does not want them.
    
    Change-Id: Ibcd1dcfd18f673af3fb7e45fb746ee0466487072

commit 7f81b6f4590acf5898bf36ffe4cb84085b6b2c8e
Author: Sascha Peilicke <saschpe@gmx.de>
Date:   Thu Jan 16 09:23:45 2014 +0100

    Sync with global requirements
    
    Change-Id: Iec9dac0464918ef53099001933be3ab10d76170b

commit a4f650e15a7c053c7a3a2d2c3f3845706f12a6a4
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Nov 28 21:33:59 2013 +0100

    Add tests
    
    This adds a test for the 'generate_id' method, and all the configuration needed
    to run tests.
    
    Change-Id: Iaf8158da1f96853f3880f1b8e6ade5d466e27c64

commit 8b44f51c01bd4546377a581e5babe9a237667450
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Tue Dec 10 17:53:46 2013 +0100

    Python 3 compatibility
    
    Use pytidylib6 instead of pytidylib to be able to support both Python 2 and 3.
    
    Change-Id: Iaad55f5603496272a8aa9066e0b0fb1268038162

commit 9ad4e8f5fe41b3c9bf334a3f9aea925a5128eddc
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Fri Nov 29 18:44:09 2013 +0100

    Fix the code to work with Python2.6
    
    It was previously using some features introduced in Python2.7.
    
    Change-Id: I3b4b2895f231cf98235efd16f65eb123db8a9157

commit 7266f9e7db66b707e715b475e2cdc6c06e75c0a6
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Nov 28 14:23:20 2013 +0100

    tox.ini: clean the pep8 target
    
    There were some leftovers from the tox.ini from Ceilometer, which was used in
    the beginning.
    
    Change-Id: I16cef6dd65e449b029590f7da36c4462860dada8

commit ee217854eb3488464b4ad833d1d370e8e335036c
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon Nov 18 14:17:48 2013 +0100

    Allow complex types for parameters
    
    Tools like Ceilometer need to have "Alarm" as a type, instead of something as
    simple as "string" or "int".
    
    Change-Id: I16af1e077ee4641f52a2607f6269e1dd633b4b54

commit 220cd4907d6bc27256b42ecfae604900d4670840
Merge: e1d097d fae50a8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Nov 15 19:26:59 2013 +0000

    Merge "Fix the generate_id function with PUT methods"

commit fae50a847140fd69a031548be641c10bfbcfaf64
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Fri Nov 15 20:20:08 2013 +0100

    Fix the generate_id function with PUT methods
    
    Now handle methods such as /v2/alarms/alarm_id/state.
    
    Change-Id: I15cdc6a65f38fee7e4ad6559741144fdf43eb1f6

commit e1d097d9150233d00d39300e6ea250231a0af28a
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Fri Nov 15 20:07:29 2013 +0100

    Add .gitreview file
    
    Change-Id: I054681c9c23747827a5b1708e7ddd37f1d12266b

commit 819e98a84e39b3734ad08d7a62779354dd7194fa
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Wed Oct 16 20:28:16 2013 +0000

    Wrap lines in the generated WADL file

commit 16c1a9c0625d5c8a2a54f71161ac17c26d286a90
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Wed Oct 16 20:16:51 2013 +0000

    Generated human-readable method ids and titles

commit 86a69a01c03ac97e9506f07da5dbe5a2a5fbf86b
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Oct 10 10:56:46 2013 +0000

    Use '<para role="shortdoc">...</para>'
    
    Inside the 'wadl:doc', this is what should be used to write the description of
    the method, instead of a simple 'p' element.

commit 8698122d4f3c33174c1db63a4986ef472289a31f
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Oct 10 10:52:50 2013 +0000

    Make the 'wadl:doc' element appear first
    
    Inside 'method' elements, the 'wadl:doc' element should appear before the
    'request' and 'response' elements.

commit 0b6dce2be73a6c0c76ae81bcacd2d68287e03536
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon Oct 7 13:23:01 2013 +0000

    Fix PEP8-related warnings
    
    Add a tox.ini (mostly stolen from ceilometer), so that one can run 'tox
    -epep8'.

commit 1f88543554ff64b5e5465dc2dd93d5c11e29fa2d
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon Oct 7 12:11:41 2013 +0000

    Remove the version hack in setup.py

commit 7d446b37a3fc604aa7f3cfb385cb3c537b752844
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon Oct 7 12:00:17 2013 +0000

    Indent the generated WADL file
    
    Also, remove the lxml import that was never needed.

commit 552b8c94046d4e7d2e07dbc3f699d95fbc1e869a
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Mon Oct 7 10:36:09 2013 +0000

    Only parse the intended files
    
    Files meant to be parsed by sphinxcontrib-docbookrestapi should now have a
    comment that reads 'docbookrestapi' before the first section of the RST,
    otherwise they'll be ignored.

commit 3753d6bfdec29b98d28d2420ca983c075fffc596
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Tue Oct 1 12:41:19 2013 +0000

    Move code to sphinxcontrib/docbookrestapi.

commit 3a7d7976793246a6a7654dd213a0ff26a1b595f5
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Fri Sep 27 13:22:04 2013 +0000

    MyNodeVisitor: call SparseNodeVisitor.__init__()

commit 79720726fd756278f926a736b1d84028e3d0e973
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Fri Sep 27 12:12:33 2013 +0000

    sphinxcontrib/setup.py: Add license header.

commit 3111e93bee6609d7e174d395374518f5651f7755
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Fri Sep 27 12:12:09 2013 +0000

    Add missing shebangs.

commit 2df0486705dc610909527c2e2a495cddd83c86d1
Author: Cyril Roelandt <cyril.roelandt@enovance.com>
Date:   Thu Sep 26 14:59:01 2013 +0000

    Initial commit.
